package ru.yurannnzzz.compat.figuraheadseverywhere.util;

import com.mojang.authlib.GameProfile;
import net.minecraft.client.resources.DefaultPlayerSkin;
import net.minecraft.client.resources.PlayerSkin;
import net.minecraft.resources.ResourceLocation;

import javax.annotation.Nullable;
import java.util.HashMap;
import java.util.Map;

public class SkinCache {
    public static final Map<ResourceLocation, GameProfile> PROFILE_BY_SKIN = new HashMap<>();

    public static void cacheSkin(GameProfile profile, @Nullable PlayerSkin skin) {
        if (skin == null || skin == DefaultPlayerSkin.get(profile)) return;

        PROFILE_BY_SKIN.put(skin.texture(), profile);
    }
}
